Update payment by ID
curl --request PUT \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/payments/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"method ": "cash"
}
'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/payments/{id}"
payload = { "method ": "cash" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({'method ': 'cash'})
};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": false,
"response": {}
}{
"error": true,
"errors": [
"error message",
"error message"
]
}{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Payments
Update payment by ID
Update a payment
PUT
/
payments
/
{id}
Update payment by ID
curl --request PUT \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/payments/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"method ": "cash"
}
'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/payments/{id}"
payload = { "method ": "cash" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({'method ': 'cash'})
};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": false,
"response": {}
}{
"error": true,
"errors": [
"error message",
"error message"
]
}{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Body raw (json)
{
"invoice_id": 1,// optional | integer | existing invoice id
"payment_date": 1234567890,// optional | timestamp
"amount": "1.1",// optional | string | numeric
"method ": "cash",// required | string | acceptable_values: cash,check,card,square,bank_transfer,other
"payment_method_id": 1,// nullable | integer | existing payment method id
"notes": "some string",// optional | string | max:4000
"square_transaction_id": "some string"// optional | string | max:255
}
Authorizations
Path Parameters
Body
application/json
Available options:
cash, check, card, square, bank_transfer, other Existing invoice id.
Unix timestamp.
A number, sent as a string.
Existing payment method id.
Maximum string length:
4000Maximum string length:
255